Unable to update; it says my IO5 is current

Discussion in 'iPhone' started by ParagJain, Oct 12, 2011.

  1. ParagJain macrumors 6502

    Joined:
    Jul 24, 2011
    #1
    HI,

    I had installed the beta..i think it was b6 a while ago and today when I am trying to update via itunes, it prompts me with message that the current version of IOS5 is the most current I have. I am unable to update;

    Any help is appreciated.
     
  2. ParagJain thread starter macrumors 6502

    Joined:
    Jul 24, 2011
    #2
    Hi

    Anyone else having this issue;

    I am using iTunes 10.5 downloaded for Windows 7 64bit yesterday. Is this the correct version for itunes ??
     
  3. richpjr macrumors 68030

    richpjr

    Joined:
    May 9, 2006
    #3
    Assuming you are a developer in order to get the beta, you could always download the latest version from Apple's developer site.
     
  4. mgmusicman94 macrumors 6502a

    Joined:
    Nov 16, 2008
    #4
    I think you need to download the ipsw from another source and restore it manually in iTunes.
     
  5. climber20 macrumors member

    Joined:
    Feb 18, 2011
    #5
    Download the gold master from any of a number of places and restore manually.
     
  6. NorfolkMustard macrumors regular

    Joined:
    Oct 7, 2007
    Location:
    UK
    #6
    Ignore these people. Just click "Restore" and iTunes will merrily go and get IOS5 public release and install it on your iPhone.
     
  7. ParagJain thread starter macrumors 6502

    Joined:
    Jul 24, 2011
    #7
    GM builds are pulled off from dev website. :-(
     
  8. NorfolkMustard macrumors regular

    Joined:
    Oct 7, 2007
    Location:
    UK
    #8
    Nope. Once it goes public, all versions upto-and-including the public version are removed from Dev site.
     
  9. JCCL macrumors 6502a

    Joined:
    Apr 3, 2010
    #9
    Just restore, iTunes will download must current version........end of story!
     
  10. mdwsta4 macrumors 65816

    Joined:
    Jul 23, 2007
    #10
    my itunes (10.5 from last week's GM) is still stating 4.3.5 is the most current firmware. I'm currently running jailbroken 4.3.3
     
  11. ParagJain thread starter macrumors 6502

    Joined:
    Jul 24, 2011
    #11
    Its not doing it mate; it says, problem..., requested resource cannot be found.
    I did try all of that before posting it on the forum :)
     
  12. batting1000 macrumors 604

    Joined:
    Sep 4, 2011
    Location:
    Florida
  13. mdwsta4 macrumors 65816

    Joined:
    Jul 23, 2007
    #13
    crappy part is you shouldn't have to do a restore (at which point you'll have to reset all your settings). You should be able to update properly.
     
  14. mdwsta4 macrumors 65816

    Joined:
    Jul 23, 2007
    #14
    oddly enough, while waiting for IOS5 to download in order to perform a restore, I connected and backed up my phone a few more times, iTunes finally prompted me to update to IOS5.

    Going to miss a few features of being jailbroken, but hopefully those will be available soon enough. Really looking forward to new notifications.
     
  15. ParagJain thread starter macrumors 6502

    Joined:
    Jul 24, 2011
    #15
    downloading from other links..its odd, that ever after the original release, i need to look around on the internet to get the newest software...
     
  16. vivithemage macrumors 6502a

    vivithemage

    Joined:
    Jul 12, 2008
  17. mgmusicman94 macrumors 6502a

    Joined:
    Nov 16, 2008
    #17
    It's because it's not an update, it needs to completely replace the firmware. And if you backup, then you don't lose your settings, you can restore your settings from the backup.
     

Share This Page